% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Rfun_find_k_given_rho_target_mvtnorm.R
\name{find_k_given_rho_target_mvtnorm}
\alias{find_k_given_rho_target_mvtnorm}
\title{Find the difference between the error rate when k and rho are both given and the prespecified alpha level}
\usage{
find_k_given_rho_target_mvtnorm(k, rho, alpha, alphavec = c(alpha/2, alpha/2))
}
\arguments{
\item{k}{a pre-specified constant in the improved trimmed weighted Hochberg procedure}

\item{rho}{the correlation coefficient between two test statistics}

\item{alpha}{the significance level}

\item{alphavec}{a numeric vector of two values representing the weighted significance levels assigned to the two hypotheses}
}
\value{
the difference between the error rate when k is specified and rho is optimal and the prespecified alpha level
}
\description{
Find the difference between the error rate when k and rho are both given and the prespecified alpha level
}
\references{
Gou, J., Chang, Y., Li, T., and Zhang, F. (2025). Improved trimmed weighted Hochberg procedures with two endpoints and sample size optimization. Technical Report.
}
\author{
Jiangtao Gou
}
