% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Rfun_iHpTarget1.R
\name{iHpTarget1}
\alias{iHpTarget1}
\title{Find the difference between the achieved power and the desired power for rejecting H1 using the improved trimmed or truncated weighted Hochberg procedure}
\usage{
iHpTarget1(n, alpha1, alpha, k, beta1, deltavec, rho)
}
\arguments{
\item{n}{the sample size}

\item{alpha1}{the weighted significance levels assigned to H1}

\item{alpha}{the significance level}

\item{k}{a pre-specified constant in the improved trimmed weighted Hochberg procedure}

\item{beta1}{one minus the desired power for rejecting H1}

\item{deltavec}{a numeric vector of two values representing the effect sizes for the two hypotheses}

\item{rho}{the correlation coefficient between two test statistics}
}
\value{
the difference between the achieved power and the desired power for rejecting H1 using the improved trimmed or truncated weighted Hochberg procedure
}
\description{
Find the difference between the achieved power and the desired power for rejecting H1 using the improved trimmed or truncated weighted Hochberg procedure
}
\references{
Gou, J., Chang, Y., Li, T., and Zhang, F. (2025). Improved trimmed weighted Hochberg procedures with two endpoints and sample size optimization. Technical Report.
}
\author{
Jiangtao Gou
}
