% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Rfun_wHolmTarget1.R
\name{wHolmTarget1}
\alias{wHolmTarget1}
\title{Find the difference between the achieved power and the desired power for rejecting H1 using the weighted Holm procedure}
\usage{
wHolmTarget1(n, alpha1, alpha, beta1, deltavec, rho)
}
\arguments{
\item{n}{the sample size}

\item{alpha1}{the weighted significance levels assigned to H1}

\item{alpha}{the significance level}

\item{beta1}{one minus the desired power for rejecting H1}

\item{deltavec}{a numeric vector of two values representing the effect sizes for the two hypotheses}

\item{rho}{the correlation coefficient between two test statistics}
}
\value{
the difference between the achieved power and the desired power for rejecting H1
}
\description{
Find the difference between the achieved power and the desired power for rejecting H1 using the weighted Holm procedure
}
\references{
Gou, J., Chang, Y., Li, T., and Zhang, F. (2025). Improved trimmed weighted Hochberg procedures with two endpoints and sample size optimization. Technical Report.
}
\author{
Jiangtao Gou
}
