% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Rfun_wHpTarget2.R
\name{wHpTarget2}
\alias{wHpTarget2}
\title{Find the difference between the achieved power and the desired power for rejecting H2 using the weighted Hochberg procedure}
\usage{
wHpTarget2(n, alpha1, alpha, beta2, deltavec, rho)
}
\arguments{
\item{n}{the sample size}

\item{alpha1}{the weighted significance levels assigned to H1}

\item{alpha}{the significance level}

\item{beta2}{one minus the desired power for rejecting H2}

\item{deltavec}{a numeric vector of two values representing the effect sizes for the two hypotheses}

\item{rho}{the correlation coefficient between two test statistics}
}
\value{
the difference between the achieved power and the desired power for rejecting H2 using the weighted Hochberg procedure
}
\description{
Find the difference between the achieved power and the desired power for rejecting H2 using the weighted Hochberg procedure
}
\references{
Gou, J., Chang, Y., Li, T., and Zhang, F. (2025). Improved trimmed weighted Hochberg procedures with two endpoints and sample size optimization. Technical Report.
}
\author{
Jiangtao Gou
}
